Page MenuHomeFreeBSD

databases/timescaledb: invert TSL/APACHE_ONLY option
ClosedPublic

Authored by kbowling on Feb 4 2019, 9:15 PM.

Details

Summary

Invert the APACHEONLY negative option to TSL positive option per mat.

Fix pkg-message replacement issue reported by Giacomo Olgeni

Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kbowling created this revision.Feb 4 2019, 9:15 PM
mat added inline comments.Feb 5 2019, 1:47 PM
databases/timescaledb/Makefile
24–30 ↗(On Diff #53588)

Could you please reorder the variables correctly as the options section of Chapter 15. Order of Variables in Port Makefiles says?

32–36 ↗(On Diff #53588)

All these need to go before options as per Chapter 15. Order of Variables in Port Makefiles.

kbowling added inline comments.Feb 6 2019, 1:14 AM
databases/timescaledb/Makefile
32–36 ↗(On Diff #53588)

If you are going to constantly neckbeard order, can you please write a linter or extend portlint to comply? Nothing on that page makes it obvious how to do this the way you want, and a machine would be a lot faster to check against.

mat added inline comments.Feb 6 2019, 8:40 AM
databases/timescaledb/Makefile
32–36 ↗(On Diff #53588)

I don't use a linter, I simply follow the simple rules in that chapter. Feel free to complain to portlint's maintainer about it never working.

This chapter tells you in which order a Makefile should be written so that everyone can read it more easily without having to find stuff here and there.

The variables in lines 32-36 are standard framework variables, it is described in section 15.9, so they should go before the options variables which are in section 15.10. (see, 9 goes before 10 when you count on your fingers, easy.)

There is an "important" block on that page saying:

Each following block must be separated from the previous block by a single blank line.
In the following blocks, only set the variables that are required by the port. Define these variables in the order they are shown here.

Both lines are important, and should be easy to understand, if they are not clear, please explain what you do not understand, I will try to rewrite them in a more clearer way.

As per my other comment about the options variables being out of order, if you look at 15.10. Options and Helpers, its only sentence (the rest is an example) says:

define OPTIONS_DEFINE and OPTIONS_DEFAULT first, then the other OPTIONS_* variables first, then the *_DESC descriptions, then the options helpers

So, keeping this very simple rule in mind, your options block should look like this:

OPTIONS_DEFINE=	TSL
OPTIONS_DEFAULT=	TSL
OPTIONS_SUB=	yes

TSL_DESC=	Enables TSL licensed code in additon to Apache license code

TSL_CMAKE_BOOL_OFF=	APACHE_ONLY

I got the disjoint OPTIONS_DEFAULT ordering from Example 5.39 in https://www.freebsd.org/doc/en/books/porters-handbook/makefile-options.html

kbowling updated this revision to Diff 53719.Feb 9 2019, 1:27 AM

Update order

mat added inline comments.Feb 9 2019, 8:58 AM
databases/timescaledb/Makefile
35 ↗(On Diff #53719)

This should still go before options.

mat added a comment.Feb 9 2019, 8:59 AM

I got the disjoint OPTIONS_DEFAULT ordering from Example 5.39 in https://www.freebsd.org/doc/en/books/porters-handbook/makefile-options.html

Ah, yes, that example is wrong, I'll fix it.

kbowling added inline comments.Feb 10 2019, 10:10 PM
databases/timescaledb/Makefile
35 ↗(On Diff #53719)

What should? I can't tell from the UI.

mat added inline comments.Feb 12 2019, 11:55 AM
databases/timescaledb/Makefile
35 ↗(On Diff #53719)

Strange, the UI hilights the WANT_PGSQL line for me, not sure what is wrong here. But, well, the WANT_PGSQL line is the line I am talking about.

kbowling updated this revision to Diff 53864.Feb 13 2019, 5:57 AM

Move WANT_PGSQL up

timur accepted this revision.Feb 13 2019, 10:47 PM

LGTM

This revision is now accepted and ready to land.Feb 13 2019, 10:47 PM
This revision was automatically updated to reflect the committed changes.